[IPython-dev] IPython build environment on Ubuntu 10.04

MinRK benjaminrk@gmail....
Tue Sep 20 23:01:01 CDT 2011


On Tue, Sep 20, 2011 at 18:42, Fernando Perez <fperez.net@gmail.com> wrote:

> Hi Mark,
>
> On Tue, Sep 20, 2011 at 5:09 PM, Mark Voorhies <mark.voorhies@ucsf.edu>
> wrote:
> > Just finished submitting a manuscript and have some time to do a bit of
> IPython hacking.
> > It looks like my installed dependencies are sufficiently out of date that
> I should rebuild
> > my environment (Cython/ZMQ/PyZMQ/IPython) from scratch.
>
> Unless you plan to hack on pyzmq itself, you don't need cython to just
> install pyzmq.
>

It's true - the only dev version of anything we currently depend on is
tornado (for the notebooks only), since browsers have made websocket
protocol changes in the their most recent versions, that are not compatible
with the tornado 2.0-release.

And pyzmq is easy_installable *iff* libzmq is in a default place like
/usr/local.  Otherwise, you have to run the configure step first, to tell it
where libzmq is.

However, if you do feel like tracking Cython, PyZMQ, IPython, and Tornado,
your wish is my command:
https://gist.github.com/1231171

I just created a brand new Ubuntu 11.04 VM, with no bashrc or anything, and
ran:

$> sudo apt-get install git uuid-dev python-dev python-qt4 python-pygments #
the last two are only for the qtconsole
$> export PATH=$HOME/.local:$PATH # add this, and optionally the matching
LD_LIBRARY_PATH to your .bashrc
$> wget https://raw.github.com/gist/1231171/ipdev.sh
$> bash ipdev.sh

And I have the IPython cluster, notebook server, qtconsole, etc. all ready
to run (and git repos for Cython, PyZMQ, IPython, and Tornado in a new
`code` directory).

If you don't want to keep the repos around, it's actually even easier, as
you can always install the current git snapshot of projects on github with:

$> easy_install --user https://github.com/ipython/ipython/tarball/master


> > Does anyone have advice for doing a non-system install of these pieces
> > (e.g., to $HOME/ipython/) on Ubuntu 10.04, preferably from their VCS
> versions?
>
> My standard procesure is just to install things in $HOME/usr/local via
>
> python setup.py --prefix=$HOME/usr/local
>
> or
>
> ./configure --prefix=$HOME/usr/local && make && make install
>

> I have $PATH, $PYTHONPATH, $LD_LIBRARY_PATH and other such variables
> configured for this to work out of the box.  If you need a hand with
> this I'm happy to send over my bash utils that take care of it.
>

I do a similar thing, but just use '--user' for Python installs, which go to
~/.local, which I symlink to ~/usr/local, using the two paths
interchangeably.  This way, only PATH and LD_LIBRARY_PATH are needed, as
Python (>= 2.6) already searches that location by default.  in fact, even
LD_LIB.. is often not needed, as rpaths are coded into dylibs, so pyzmq will
still work, even without setting the LD_LIB path, but I set it anyway.

-MinRK



>
> I'd recommend you go with released versions of zmq/pyzmq, as there's
> no need to use the bleeding edge of those.  If you're interested in
> the web notebook you'll need tornado from git, that's currently our
> only non-released dependency.
>
> Looking forward to having you contribute again!  Please let us know if
> you get stuck on anything.
>
> Cheers,
>
> f
> _______________________________________________
> IPython-dev mailing list
> IPython-dev@scipy.org
> http://mail.scipy.org/mailman/listinfo/ipython-dev
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mail.scipy.org/pipermail/ipython-dev/attachments/20110920/91447bef/attachment.html 


More information about the IPython-dev mailing list